Множественные уязвимости в gCards

Дата публикации:
27.03.2006
Дата изменения:
24.03.2009
Всего просмотров:
822
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-1346
CVE-2006-1347
CVE-2006-1348
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
gCards 1.x
Уязвимые версии: gCards 1.45, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения и просмотреть произвольные файлы на системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "username" сценария "admin/loginfunction.php". Удаленный пользователь может с помощью специально сформированного URL выполнить произвольные SQL команды в базе данных приложения. Удачная эксплуатация уязвимости возможна при выключенной опции "magic_quotes_gpc".

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "lang" в сценарии "inc/setLang.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценарий в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "lang" сценария "inc/setLang.php" перед вызовом функции "include_once()". Удаленный пользователь может с помощью специально сформированного запроса просмотреть произвольные файлы на системе.

URL производителя: www.gregphoto.net/gcards/

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

или введите имя

CAPTCHA